# Function addQueryParameter

- addQueryParameter(uri, parameter, value): string

- Adds (or updates) a query parameter in a URI.

  #### Parameters

  - uri: string | Uri

    The URI to add a parameter to.

  - parameter: string

    The name of the query parameter to add. If it already exists, the value will be updated.

  - value: string

    The value for the query parameter.

  #### Returns string